Subject: Re: bug#55293: Guix gets stuck after substitute problem

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 16 May 2022 00:23:27 -0400

Hi Jack,

Jack Hill <[email-masked]> writes:

> Hi Guix,
>
> Sometimes my Guix commands get stuck after printing message like the
> following:
>
> """
> guix substitute: warning: while fetching
> https://bordeaux.guix.gnu.org/nar/lzip/m6gaq582x4k0ajx9x7hznmw6a4dkg4m4-soundconverter-3.0.2:
> server is somewhat slow
> guix substitute: warning: try `--no-substitutes' if the problem persists
> warning: TLS non-fatal error: Resource temporarily unavailable, try again.
> """
>
> By stuck, I mean that it doesn't seem to be making any progress, but
> also doesn't error and exit. Exiting is what I would expect if it
> encounters a problem from which it can't recover.

I haven't seen it in a while, but I definitely seen this happening in
the past.

Thanks,

Maxim